Subject: [tcpm] initcwnd updates?

From: "Kampanakis, Panos" <[email-masked]>
Date: Fri, 15 Mar 2024 15:31:29 +0000

Hi all,

Sorry if this has been asked recently, but looking in the list archive, I can't seem to find any discussions about it.

I was wondering if initcwnd updates have come up in TCPM recently.

It has been 14 years since draft-hkchu-tcpm-initcwnd started and 11 since RFC6928 got ratified.

Many CDNs use initicwnds=30 or more to increase performance.

Also, new post-quantum signatures, if they ever got deployed, could lead to >15KB of authentication data (certificate chain and CertificateVerify signature) which means they would add an unnecessary RTT when initcwnd=10. This has been in shown in various publications [1]<https://www.ndss-symposium.org/ndss-paper/post-quantum-authentication-in-tls-1-3-a-performance-study/>, [2]<https://dl.acm.org/doi/10.1145/3386367.3431305>, [3]<https://blog.cloudflare.com/sizing-up-post-quantum-signatures/>

So, I was wondering, should investigating the increase of the default TCP initcwnd be a topic for discussion over a decade after the last increase?
Has technology evolved enough for a new default initcwnd=15 or 20?

Rgs,
Panos

[1] https://www.ndss-symposium.org/ndss-paper/post-quantum-authentication-in-tls-1-3-a-performance-study/
[2] https://dl.acm.org/doi/10.1145/3386367.3431305
[3] https://blog.cloudflare.com/sizing-up-post-quantum-signatures/